<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
  <meta charset="UTF-8">

  <!-- Bootstrap CSS -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-+0n0xVW2eSR5OomGNYDnhzAbDsOXxcvSN1TPprVMTNDbiYZCxYbOOl7+AMvyTG2x" crossorigin="anonymous">

  <title>Datos del usuario</title>
</head>
<body>

<div class="col-lg-8 mx-auto p-3 py-md-5">
  <header class="d-flex align-items-center pb-3 mb-5 border-bottom">
    <a href="/" class="d-flex align-items-center text-dark text-decoration-none">
      <span class="fs-4">Datos del usuario</span>
    </a>
  </header>

  <main>
    <h1>Crear un nuevo usuario</h1>

    <a th:href="@{/}" class="btn btn-warning">Volver al inicio</a>

    <form class="row g-3" method="post" th:action="@{/guardar}" th:object="${persona}">

      <input type="hidden" name="idPersona" id="idPersona" th:field="*{idPersona}">

      <div class="col-md-6">
        <label for="nombre" class="form-label">Nombre</label>
        <input type="text" class="form-control" id="nombre" name="nombre" placeholder="Escriba su nombre" th:field="*{nombre}">

        <div class="alert alert-danger" role="alert" th:if="${#fields.hasErrors('nombre')}" th:errors="*{nombre}"></div>

      </div>

      <div class="col-md-6">
        <label for="apellido" class="form-label">Apellido</label>
        <input type="text" class="form-control" id="apellido" name="apellido" th:field="*{apellido}">

        <div class="alert alert-danger" role="alert" th:if="${#fields.hasErrors('apellido')}" th:errors="*{apellido}"></div>
      </div>

      <div class="col-md-6">
        <label for="email" class="form-label">Correo</label>
        <input type="text" class="form-control" id="email" name="email" th:field="*{email}">

        <div class="alert alert-danger" role="alert" th:if="${#fields.hasErrors('email')}" th:errors="*{email}"></div>
      </div>

      <div class="col-md-6">
        <label for="telefono" class="form-label">Telefono</label>
        <input type="text" class="form-control" id="telefono" name="telefono" th:field="*{telefono}">
      </div>

      <div class="col-12">
        <button type="submit" class="btn btn-primary">Guardar</button>
      </div>
    </form>
  </main>
</div>

<!-- Option 1: Bootstrap Bundle with Popper -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.1/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-gtEjrD/SeCtmISkJkNUaaKMoLD0//ElJ19smozuHV6z3Iehds+3Ulb9Bn9Plx0x4"
        crossorigin="anonymous"></script>
</body>
</html>